org.apache.lucene.analysis

## Class CannedBinaryTokenStream.BinaryToken

- java.lang.Object
- - org.apache.lucene.analysis.CannedBinaryTokenStream.BinaryToken

Enclosing class:
  CannedBinaryTokenStream

    public static final class CannedBinaryTokenStream.BinaryToken
    extends Object

Represents a binary token.

### Constructor Summary

Constructors
Constructor and Description
`BinaryToken(BytesRef term)`
`BinaryToken(BytesRef term, int posInc, int posLen)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BinaryToken

    public BinaryToken(BytesRef term)

#### BinaryToken

    public BinaryToken(BytesRef term,
                       int posInc,
                       int posLen)